# Method: albums.get

- [HTTP request](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#body.request_body)
- [Response body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#body.aspect)
- [Try it!](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/get#try-it)

Returns the album based on the specified `albumId`. The `albumId` must be the ID of an album owned by the user or a shared album that the user has joined.

### HTTP request

`GET https://photoslibrary.googleapis.com/v1/albums/{albumId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `albumId` | `string` Required. Identifier of the album to be requested. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/photoslibrary`
- `
  https://www.googleapis.com/auth/photoslibrary.readonly`
- `
  https://www.googleapis.com/auth/photoslibrary.readonly.appcreateddata`